zenilib: zenilib/jni/external/freetype2/src/base/ftadvanc.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
ftadvanc.c File Reference
`#include <ft2build.h>`
`#include <FT_ADVANCES_H>`
`#include <FT_INTERNAL_OBJECTS_H>`

Go to the source code of this file.

## Macros

#define | LOAD_ADVANCE_FAST_CHECK(flags)

## Functions

static FT_Error | _ft_face_scale_advances (FT_Face face, FT_Fixed *advances, FT_UInt count, FT_Int32 flags)
| FT_Get_Advance (FT_Face face, FT_UInt gindex, FT_Int32 flags, FT_Fixed *padvance)
| FT_Get_Advances (FT_Face face, FT_UInt start, FT_UInt count, FT_Int32 flags, FT_Fixed *padvances)

## Macro Definition Documentation

#define LOAD_ADVANCE_FAST_CHECK | ( |  | flags | ) |

Value:
( flags & ( FT_LOAD_NO_SCALE | FT_LOAD_NO_HINTING ) || \
FT_LOAD_TARGET_MODE( flags ) == FT_RENDER_MODE_LIGHT )
FT_LOAD_NO_HINTING
#define FT_LOAD_NO_HINTING
Definition: freetype.h:2513
FT_LOAD_NO_SCALE
#define FT_LOAD_NO_SCALE
Definition: freetype.h:2512
flags
GLenum GLsizei GLsizei GLsizei GLsizei GLbitfield flags
Definition: glew.h:2767
FT_RENDER_MODE_LIGHT
Definition: freetype.h:2712
FT_LOAD_TARGET_MODE
#define FT_LOAD_TARGET_MODE(x)
Definition: freetype.h:2617

Definition at line 62 of file ftadvanc.c.

Referenced by FT_Get_Advance(), and FT_Get_Advances().

## Function Documentation

static FT_Error _ft_face_scale_advances | ( | FT_Face | face,
|  | FT_Fixed * | advances,
|  | FT_UInt | count,
|  | FT_Int32 | flags
| ) |  |

static

Definition at line 25 of file ftadvanc.c.

References FT_Err_Ok, FT_LOAD_NO_SCALE, FT_LOAD_VERTICAL_LAYOUT, FT_MulDiv(), FT_SizeRec_::metrics, NULL, FT_FaceRec_::size, FT_Size_Metrics_::x_scale, and FT_Size_Metrics_::y_scale.

Referenced by FT_Get_Advance(), and FT_Get_Advances().

FT_Get_Advance | ( | FT_Face | face,
|  | FT_UInt | gindex,
|  | FT_Int32 | flags,
|  | FT_Fixed * | padvance
| ) |  |

Definition at line 70 of file ftadvanc.c.

References _ft_face_scale_advances(), error, FT_ERROR_BASE, FT_Get_Advances(), and LOAD_ADVANCE_FAST_CHECK.

Referenced by af_latin2_metrics_check_digits(), and af_latin_metrics_check_digits().

FT_Get_Advances | ( | FT_Face | face,
|  | FT_UInt | start,
|  | FT_UInt | count,
|  | FT_Int32 | flags,
|  | FT_Fixed * | padvances
| ) |  |

Definition at line 105 of file ftadvanc.c.

References _ft_face_scale_advances(), error, FT_ADVANCE_FLAG_FAST_ONLY, FT_Err_Ok, FT_ERROR_BASE, FT_LOAD_ADVANCE_ONLY, FT_Load_Glyph(), FT_LOAD_VERTICAL_LAYOUT, if(), and LOAD_ADVANCE_FAST_CHECK.

Referenced by FT_Get_Advance().